#
# spec file for package systemtap-docs (Version 1.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           systemtap-docs
BuildRequires:  gcc-c++ libebl-devel pkg-config
# for documents
BuildRequires:  xmlto
BuildRequires:  fop
BuildRequires:  latex2html
%define use_snapshot	0
License:        GPLv2+
Version:        1.3
Release:        1
Summary:        Documents and examples for systemtap
Group:          Development/Tools/Debuggers
Url:            http://sourceware.org/systemtap/
%if %use_snapshot
%define package_version  20090214
%else
%define package_version  %{version}
%endif
Source:         ftp://sources.redhat.com/pub/systemtap/snapshots/systemtap-%{package_version}.tar.bz2
Patch1:         systemtap-docdir-fix.diff
Patch2:         systemtap-xmlto-fop.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SystemTap is an instrumentation system for systems running Linux 2.6.
This package contains the documents and examples for systemtap.



Authors:
--------
    Frank Ch. Eigler <fche@redhat.com>
    Graydon Hoare <graydon@redhat.com>
    Martin Hunt <hunt@redhat.com>
    Tom Zanussi <zanussi@us.ibm.com>

%prep
%if %use_snapshot
%setup -n src -q
%else
%setup -n systemtap-%{package_version} -q
%endif
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
%configure
make %{?jobs:-j %jobs}

%install
%makeinstall doc
# COPYING packaged by main spec
cp README AUTHORS NEWS $RPM_BUILD_ROOT%{_docdir}/systemtap/
# remove binaries and runtime stuff
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_libexecdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/systemtap
rm -rf $RPM_BUILD_ROOT%{_includedir}
# these man pages are in each sub package
rm -rf $RPM_BUILD_ROOT%{_mandir}/man[178]

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc %{_docdir}/systemtap
%{_mandir}/man3/*

%changelog
